#
# Conditional build:
%bcond_with	tests		# build with tests
# TODO:
# wayland-scanner from wayland project
#
%define		kdeplasmaver	5.24.5
%define		qtver		5.15.2
%define		kpname		kwayland-server

Summary:	Qt-style Client and Server library wrapper for the Wayland libraries
Name:		kp5-%{kpname}
Version:	5.24.5
Release:	2
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	598ae49b82277a94c5b35ac2b22f2cee
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5WaylandClient-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-kwindowsystem-devel >= 5.82.0
BuildRequires:	kf5-plasma-wayland-protocols-devel >= 1.6.0
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	wayland-devel
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
Qt-style Client and Server library wrapper for the Wayland libraries.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%{__make}

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%{_datadir}/qlogging-categories5/kwaylandserver.categories
%ghost %{_libdir}/libKWaylandServer.so.5
%attr(755,root,root) %{_libdir}/libKWaylandServer.so.*.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/kwaylandserver_version.h
%dir %{_includedir}/KWaylandServer
%{_includedir}/KWaylandServer/*.h
%dir %{_libdir}/cmake/KWaylandServer
%{_libdir}/cmake/KWaylandServer/KWaylandServerConfig.cmake
%{_libdir}/cmake/KWaylandServer/KWaylandServerConfigVersion.cmake
%{_libdir}/cmake/KWaylandServer/KWaylandServerTargets-pld.cmake
%{_libdir}/cmake/KWaylandServer/KWaylandServerTargets.cmake
%{_libdir}/libKWaylandServer.so
%changelog
* Wed Sep 14 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kwayland-server.git;a=log;h=master

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ecc9dee
- rebuild with qt5-5.15.6

* Tue May 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 3b22e06
- updated to 5.24.5

* Wed Mar 30 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 24656c3
- updated to 5.24.4
- added bcond_with tests

* Wed Mar 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 70b7e37
- updated to 5.24.3

* Thu Feb 24 2022 Witold Filipczyk <witekfl@poczta.onet.pl> bb96144
- updated to 5.24.2

* Thu Feb 17 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 446df65
- updated to 5.24.1

* Thu Feb 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 3684afb
- updated to 5.24.0

* Wed Jan 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> a9fcc6c
- updated to 5.23.5

* Wed Dec 01 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 08608db
- updated to 5.23.4

* Sun Nov 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5b1097b
- BR: Qt5WaylandClient-devel
- rel 2

* Sat Nov 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 20fdef9
- updated to 5.23.3

* Tue Oct 26 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 76559d1
- updated to 5.23.2

* Wed Oct 20 2021 Witold Filipczyk <witekfl@poczta.onet.pl> bc984b1
- updated to 5.23.1

* Thu Oct 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 00c98c9
- updated to 5.23.0

* Fri Sep 03 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 8c8c0d4
- updated to 5.22.5

* Tue Jul 27 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d7ab23f
- updated to 5.22.4

* Wed Jul 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 3a57587
- updated to 5.22.3

* Wed Jun 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> cdd673c
- updated to 5.22.2.1

* Wed Jun 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a9102e2
- updated to 5.22.1

* Wed Jun 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 303dd8d
- updated to 5.22.0

